/***********************************************************************
Copyright 2003-2010 Netlogic Microsystems Inc. (“Netlogic”).
This is a derived work from software originally provided by the external
entity identified below. The licensing terms and warranties specified in
the header of the original work apply to this derived work.

*****************************#NETL_1#********************************/

/*
 * System call prototypes.
 *
 */

#ifndef _SYS_SYSPROTO_H_
#define _SYS_SYSPROTO_H_

#include "types.h"

#define    PAD_(t)    (sizeof(register_t) <= sizeof(t) ? \
        0 : sizeof(register_t) - sizeof(t))

#if BYTE_ORDER == LITTLE_ENDIAN
#define    PADL_(t)    0
#define    PADR_(t)    PAD_(t)
#else
#define    PADL_(t)    PAD_(t)
#define    PADR_(t)    0
#endif

struct kldload_args {
    char file_l_[PADL_(const char *)]; const char * file; char file_r_[PADR_(const char *)];
};

struct kldsym_args {
    int fileid;
    int cmd;
    void *data;
};

#endif /* !_SYS_SYSPROTO_H_ */
