#ifndef __STUBS_H_
#define __STUBS_H_

/* Externs
 */
extern int process_fdt(void);
extern void syscall_init(int);
extern unsigned int get_heap_size(void);
extern void *_sbrk(ptrdiff_t nbytes);
extern int register_shell_cmd(const char *, 
		void (*func)(int, char *[]), const char *);

extern unsigned char _loadaddr[], _endaddr[], end[];
extern unsigned long heap_start;
extern unsigned long heap_ptr;

#endif /* __STUBS_H_ */
